Module jdk.compiler
Package com.sun.source.doctree

# Interface AuthorTree

All Superinterfaces:
  `BlockTagTree`, `DocTree`

public interface AuthorTree extends BlockTagTree
A tree node for an `@author` block tag.

        @author name-text

Since:
  1.8

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.doctree.DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getName()`
Returns the name of the author.

### Methods declared in interface com.sun.source.doctree.BlockTagTree

`getTagName`

### Methods declared in interface com.sun.source.doctree.DocTree

`accept, getKind`

## Method Details

### getName

List<? extends DocTree> getName()
Returns the name of the author.

Returns:
  the name